#!/usr/bin/env bash

# This file is part of The RetroPie Project
#
# The RetroPie Project is the legal property of its developers, whose names are
# too numerous to list here. Please refer to the COPYRIGHT.md file distributed with this source.
#
# See the LICENSE.md file at the top-level directory of this distribution and
# at https://raw.githubusercontent.com/RetroPie/RetroPie-Setup/master/LICENSE.md
#

rp_module_id="hermes"
rp_module_desc="Hermes - Run A La Carte by Retroguru"
rp_module_help="Hermes is an extraordinary Jump'n' Run game with plenty of bad taste humour."
rp_module_licence="Retroguru http://www.retroguru.com/legal/"
rp_module_section="opt"
rp_module_flags="!x86 !mali !kms"

function depends_hermes() {
    getDepends libsdl2-2.0-0 libsdl2-mixer-2.0-0 libraspberrypi-dev
}

function install_bin_hermes() {
    downloadAndExtract "http://www.retroguru.com/hermes/hermes-v.latest-raspberrypi.zip" "$md_inst"
    patchVendorGraphics "$md_inst/hermes_rpi"
}

function configure_hermes() {
    moveConfigDir "$home/.config/hermes" "$md_conf_root/hermes"

    addPort "$md_id" "hermes" "Hermes - Run A La Carte by Retroguru" "pushd $md_inst; $md_inst/hermes_rpi; popd"

    chmod +x "$md_inst/hermes_rpi"
    chmod a+w "$md_inst"
}
